
Public Class cPDFWriteValues
    Private sText As String
    Private X As Double
    Private Y As Double
    Private width As Double
    Private height As Double
    Private mfont As String
    Private mSize As Integer
    Private maxlength As Integer = -1
    Private align As Integer = iTextSharp.text.Element.ALIGN_LEFT 'PdfContentByte.ALIGN_LEFT


    Public Sub New(ByVal sText As String, ByVal X As Double, ByVal Y As Double, ByVal width As Double, ByVal height As Double, ByVal mfont As String, ByVal mSize As Integer, Optional ByVal maxlength As Integer = -1, Optional ByVal align As Integer = iTextSharp.text.Element.ALIGN_LEFT)
        Me.sText = sText
        Me.X = X
        Me.Y = Y
        Me.width = width
        Me.height = height
        Me.mfont = mfont
        Me.mSize = mSize
        Me.maxlength = maxlength
        Me.align = align
    End Sub

    Public ReadOnly Property Text() As Object
        Get
            Return sText
        End Get
    End Property

    Public ReadOnly Property getX() As Object
        Get
            Return X
        End Get
    End Property
    Public ReadOnly Property getY() As Object
        Get
            Return Y
        End Get
    End Property

    Public ReadOnly Property getWidth() As Object
        Get
            Return width
        End Get
    End Property
    Public ReadOnly Property getHeight() As Object
        Get
            Return height
        End Get
    End Property

    Public ReadOnly Property font() As Object
        Get
            Return mfont
        End Get
    End Property

    Public ReadOnly Property Size() As Object
        Get
            Return mSize
        End Get
    End Property
    Public ReadOnly Property getMaxlength() As Object
        Get
            Return maxlength
        End Get
    End Property
    Public ReadOnly Property getAlign() As Object
        Get
            Return align
        End Get
    End Property

    '  Public Overrides Function ToString() As Object
    '      Return mText
    '  End Function





End Class